/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoOcupacionDAO;
import com.rjconsultores.ventaboletos.entidad.TipoOcupacion;
import com.rjconsultores.ventaboletos.service.TipoOcupacionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tipoOcupacionService")
public class TipoOcupacionServiceImpl implements TipoOcupacionService {

	@Autowired
	private TipoOcupacionDAO tipoOcupacionDAO;

	public List<TipoOcupacion> obtenerTodos() {
		return tipoOcupacionDAO.obtenerTodos();
	}

	public TipoOcupacion obtenerID(Short id) {
		return tipoOcupacionDAO.obtenerID(id);
	}

	@Transactional
	public TipoOcupacion suscribir(TipoOcupacion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return tipoOcupacionDAO.suscribir(entidad);
	}

	@Transactional
	public TipoOcupacion actualizacion(TipoOcupacion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return tipoOcupacionDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TipoOcupacion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		tipoOcupacionDAO.actualizacion(entidad);
	}

	public List<TipoOcupacion> buscar(String desctipo) {
		return buscar(desctipo, null);
	}

	public List<TipoOcupacion> buscar(String desctipo, String cvetipoocupacion) {
		return tipoOcupacionDAO.buscar(desctipo, cvetipoocupacion);
	}

	public List<TipoOcupacion> buscarClave(String cvetipoocupacion) {
		return tipoOcupacionDAO.buscarClave(cvetipoocupacion);
	}
}
